define(['jquery', 'underscore', 'backbone', 'text!modules/faq/faqViewTemplate.html', 'modules/base/baseView'],
        function ($, _, Backbone, faqViewTemplate, BaseView) {

            var FaqView = BaseView.extend({
                //initialize template
                template: _.template(faqViewTemplate),
                initialize: function () {
                    this.id = "FaqView";
                    FaqView.__super__.initialize.call(this);
                },
                //render the content into div of view 
                render: function () {
                    if (this.created === true)
                    {
                        //this.header.title = "pippo";
                        FaqView.__super__.render.call(this);
                        //this.el is the root element of Backbone.View. By default, it is a div.    
                        //$el is cached jQuery object for the view's element.
                        //append the compiled template into view div container
                        this.$el.append(this.header.$el);
                        this.$el.append(this.template());
                        this.$el.append(this.footer.$el);                        
                    }
                    this.$el.find("#faqBtn").addClass("ui-btn-active");
                    //return to enable chained calls
                    return this;
                }
            });
            return FaqView;
        });